Loading...
Searching...
No Matches
CLI::Error Class Reference
Errors

All errors derive from this one. More...

`#include <Error.hpp>`

Inheritance diagram for CLI::Error:

## Public Member Functions

CLI11_NODISCARD int | get_exit_code () const
CLI11_NODISCARD std::string | get_name () const
| Error (std::string name, std::string msg, int exit_code=static_cast< int >(ExitCodes::BaseClass))
| Error (std::string name, std::string msg, ExitCodes exit_code)

## Detailed Description

All errors derive from this one.

## Constructor & Destructor Documentation

## Error() [1/2]

CLI::Error::Error | ( | std::string | name,
|  | std::string | msg,
|  | int | exit_code = static_cast<int>(ExitCodes::BaseClass) )

inline

## Error() [2/2]

CLI::Error::Error | ( | std::string | name,
|  | std::string | msg,
|  | ExitCodes | exit_code )

inline

## Member Function Documentation

## get_exit_code()

CLI11_NODISCARD int CLI::Error::get_exit_code | ( |  | ) | const

inline

## get_name()

CLI11_NODISCARD std::string CLI::Error::get_name | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- include/CLI/Error.hpp